孤舟不倒翁
2021-07-30 11:01
采纳率: 100%
浏览 138
已结题

Intellij IDEA 出现这个问题没解决

今天用IntelliJ写一个Hello World ,结果报错,在网上找了一圈并没有解决。于是就将问题提出来,看有没有人遇到过,能否解决。
JDK版本和安装位置如下
img
我先在桌面创建了一个java类,使用cmd命令打开Dos窗口进行编译、运行,程序可以正常编译并运行,如下图
img
于是我使用 IntelliJ开始创建一个java类,然后运行出现问题。报错如下图,控制台部分为报错信息
img
在网上找了解决方法,尝试多次问题依旧存在
img
img

  • 收藏

7条回答 默认 最新

  • Timor_D 2021-07-30 13:09
    已采纳

    下一个高版本的idea 版本不兼容

    已采纳该答案
    1 打赏 评论
  • weixin_46259817 2021-07-30 11:08

    版本不一样,修改下

    打赏 评论
  • 悬弧 2021-07-30 11:43

    报什么错误,贴出来人家才能帮你分析的

    打赏 评论
  • li.siyuan 2021-07-30 13:23

    IDEA用JDK1.8
    请采纳

    打赏 评论
  • 404警告 2021-07-30 17:55

    模块的target bytecode version和实际的编译器版本不一致所导致的错误。
    把所有jdk版本统统改成一样的

    打赏 评论
  • java不一致

    打赏 评论
  • 孤舟不倒翁 2021-07-31 16:45

    2017版本IDEA升级为2019后 ,此问题已经解决。检查了File--->Project Settings--->Project、Modules 和SDKs,JDK设置均与之前2017IDEA版本设置一样。但现在使用2019版本此问题已经解决了。由此可见确实是版本问题所致!

    打赏 评论

相关推荐 更多相似问题